#ifndef I2C_Soft
#define I2C_Soft

/* Grundeinstellungen */
#define SDA_MASK		0x01 // PG0
#define SCL_MASK		0x02 // PG1
#define I2C_PORT		PORTG
#define I2C_PIN			PING
#define I2C_DDR			DDRG
#define I2C_DEVICE		0xa0 // 24C256
#define I2C_WRITE		0    // 24C256
#define I2C_READ		1    // 24C256


/* Grundfunktionen */
#define SDA_OUT			I2C_DDR |= SDA_MASK
#define SDA_IN			I2C_DDR &= ~SDA_MASK; I2C_PORT |= SDA_MASK
#define SCL_OUT			I2C_DDR |= SCL_MASK
#define SCL_IN			I2C_DDR &= ~SCL_MASK; I2C_PORT |= SCL_MASK
#define SCL_LOW			I2C_PORT &= ~SCL_MASK
#define SCL_HIGH		I2C_PORT |= SCL_MASK
#define SDA_LOW			I2C_PORT &= ~SDA_MASK
#define SDA_HIGH		I2C_PORT |= SDA_MASK
#define SDA_READ		I2C_PIN & SDA_MASK
#define SCL_READ		I2C_PIN & SCL_MASK	

extern unsigned int i2c_eep_write ( unsigned int Addr, unsigned char Data );
extern unsigned int i2c_eep_read ( unsigned int Addr );

unsigned int cnt;

#endif
